Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms.xkiss
Class LocateResult

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.Message
oracle.security.xmlsec.xkms.Result
oracle.security.xmlsec.xkms.xkiss.LocateResult`

public final class LocateResult
extends Result

The X-KISS Locate result message.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`LocateResult(org.w3c.dom.Document owner)` Create a new `LocateResult` instance.
`LocateResult(org.w3c.dom.Document owner, java.lang.String systemId)` Create a new `LocateResult` instance.
`LocateResult(org.w3c.dom.Element element)` Creates a new `LocateResult` instance from the given Element node.

Method Summary
`void` | `addKeyBinding(UnverifiedKeyBinding keyInfo)` Adds a `xkms:UnverifiedKeyBinding` child element to this message.
`java.util.List` | `getKeyBindings()` Returns a list of the `xkms:UnverifiedKeyBinding` child elements for this message or `null` if none are present.

Methods inherited from class oracle.security.xmlsec.xkms.Result
`getRequestID, getRequestSignatureBytes, getRequestSignatureValue, getResultMajor, getResultMinor, setRequestID, setRequestSignatureValue, setResultCode`

Methods inherited from class oracle.security.xmlsec.xkms.Message
`addMessageExtension, clearSignature, getId, getMessageExtensions, getNonce, getOpaqueClientData, getService, getSignature, insertChild, insertChild, removeChildren, setId, setNonce, setOpaqueClientData, setService, setSignature`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocateResult

    public LocateResult(org.w3c.dom.Element element)
                 throws org.w3c.dom.DOMException

  Creates a new `LocateResult` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the X-KISS LocateResult schema.
Throws:
  `org.w3c.dom.DOMException`

### LocateResult

    public LocateResult(org.w3c.dom.Document owner)
                 throws org.w3c.dom.DOMException

  Create a new `LocateResult` instance.
Parameters:
  `owner` - The owner document of the new `LocateResult`.
Throws:
  `org.w3c.dom.DOMException`

### LocateResult

    public LocateResult(org.w3c.dom.Document owner,
                        java.lang.String systemId)
                 throws org.w3c.dom.DOMException

  Create a new `LocateResult` instance.
Parameters:
  `owner` - The owner document of the new `LocateResult`.
  `systemId` - The URI string system ID for the `Message`..
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### addKeyBinding

    public void addKeyBinding(UnverifiedKeyBinding keyInfo)
                       throws org.w3c.dom.DOMException

  Adds a `xkms:UnverifiedKeyBinding` child element to this message.
  Parameters:
    `keyInfo` - A `xkms:UnverifiedKeyBinding` to carried by this `LocateResult` message.
  Throws:
    `org.w3c.dom.DOMException`

### getKeyBindings

    public java.util.List getKeyBindings()

  Returns a list of the `xkms:UnverifiedKeyBinding` child elements for this message or `null` if none are present.
  Returns:
    A List of `UnverifiedKeyBinding` instances.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.